package service

// 信令抓包 服务层接口
type ITcpdump interface {
	// DumpStart 触发tcpdump开始抓包 filePcapName, err
	DumpStart(neType, neId, cmdStr string) (string, error)

	// DumpStop 停止已存在抓包句柄
	DumpStop(neType, neId, fileName string) (string, error)

	// DumpUPF UPF标准版抓包
	DumpUPF(neType, neId, cmdStr string) (string, string, error)
}
